2024-03-04 14:10:31 UTC
86.8 MB
/usr/lib/jvm/liberica17-crac
LANGen_US.UTF-8
LANGUAGEen_US:en
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:53ee13677fbc484d2235d0d1e092e5ba9e89984785476c7a0dd56ad1acd6d7c1 - 12.59% (10.9 MB)
[#001] sha256:d10b9c4d37c3f964367196c9381d1c7944a3209c06940e1db512255b50a4aac7 - 87.41% (75.9 MB)
/bin/sh -c #(nop) ARG MINIROOTFS
2024-03-03 22:12:45 UTC/bin/sh -c #(nop) ARG LIBC MINIROOTFS
2024-03-03 22:12:45 UTC/bin/sh -c #(nop) ARG APK_REPOS LIBC MINIROOTFS
2024-03-03 22:12:45 UTC/bin/sh -c #(nop) ARG APK_REPOS LIBC LOCALES MINIROOTFS
2024-03-03 22:12:45 UTC/bin/sh -c #(nop) ARG APK_REPOS LIBC LOCALES MAINTAINER MINIROOTFS
2024-03-03 22:12:45 UTC/bin/sh -c #(nop) ARG APK_REPOS DESCRIPTION LIBC LOCALES MAINTAINER MINIROOTFS
2024-03-03 22:12:45 UTC/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"
2024-03-03 22:12:45 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"
2024-03-03 22:12:45 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"
2024-03-03 22:12:46 UTC/bin/sh -c #(nop) ADD file:661aacabb4b72a1a737941443f47662ad6a49bca0b637ddf953da673991759a8 in /
2024-03-03 22:12:46 UTC|9 APK_REPOS= DESCRIPTION=Alpaquita Stream Glibc LIBC=glibc LOCALES= MAINTAINER=BellSoft <info@bell-sw.com> MINIROOTFS=alpaquita-minirootfs-stream-240303-glibc-x86_64.tar.gz /bin/sh -c set -e; command set -o pipefail; rootfs_libc=$(. /etc/os-release; echo $LIBC_TYPE); case "$LIBC" in glibc|musl) if [ "$rootfs_libc" != "$LIBC" ]; then echo "${MINIROOTFS}: got '${rootfs_libc}', expected '${LIBC}'"; exit 1; fi; ;; *) echo -n "Invalid LIBC: '${LIBC}'. "; echo "Only 'glibc' and 'musl' are supported."; exit 1; ;; esac; if [ -n "$APK_REPOS" ]; then printf '%s\n' $APK_REPOS | tee /etc/apk/repositories; fi; if [ "$LIBC" = "musl" ]; then apk add --no-cache musl-perf; fi; if [ "$LIBC" = "glibc" ] && [ -n "$LOCALES" ]; then apk add --no-cache glibc-locales; locale-gen --no-archive $LOCALES; apk del --no-cache glibc-locales ; rm -f /etc/locale.gen; fi
2024-03-03 22:12:46 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2024-03-04 14:10:15 UTC (FROM docker.io/bellsoft/alpaquita-linux-base:stream-glibc-240303)/bin/sh -c #(nop) ARG JAVA_RELEASE
2024-03-04 14:10:15 UTC (FROM bf59cb8e93ef)/bin/sh -c #(nop) ARG BUNDLE_TYPE JAVA_RELEASE
2024-03-04 14:10:15 UTC (FROM 87ad8c5e1d22)/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS JAVA_RELEASE
2024-03-04 14:10:16 UTC (FROM b29dcd13d1af)/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS JAVA_RELEASE REMOVE_APK_TOOLS
2024-03-04 14:10:16 UTC (FROM 5c91d90ae7d3)/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS
2024-03-04 14:10:16 UTC (FROM c119e0a310f8)/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS DESCRIPTION JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS
2024-03-04 14:10:16 UTC (FROM 7a0b2d1db8c4)/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"
2024-03-04 14:10:16 UTC (FROM 22e3622fb283)/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"
2024-03-04 14:10:16 UTC (FROM 35dcad7624df)/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"
2024-03-04 14:10:16 UTC (FROM 5fbcc6621fcb)/bin/sh -c #(nop) ENV LANG=en_US.UTF-8 LANGUAGE=en_US:en
2024-03-04 14:10:16 UTC (FROM 1b5b942e9a5e)/bin/sh -c #(nop) ENV JAVA_HOME="/usr/lib/jvm/liberica${JAVA_RELEASE}-crac"
2024-03-04 14:10:33 UTC (FROM 94802edfadef)|15 BUNDLE_TYPE=jdk CDS=yes DESCRIPTION=Alpaquita Stream Glibc based image with Liberica JDK 17. JAVA_RELEASE=17 MAINTAINER=BellSoft <info@bell-sw.com> REMOVE_APK_TOOLS=no /bin/sh -c set -e; command set -o pipefail; case "$JAVA_RELEASE" in 17|21) ;; *) echo -n "Invalid JAVA_RELEASE: '${JAVA_RELEASE}'. "; echo "Only '17' and '21' are supported."; exit 1; ;; esac; case "$BUNDLE_TYPE" in jre|jdk) ;; *) echo -n "Invalid BUNDLE_TYPE: '${BUNDLE_TYPE}'. "; echo "Only 'jre' and 'jdk' are supported."; exit 1; ;; esac; case "$CDS" in yes|no) ;; *) echo "Invalid CDS: '${CDS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; case "$REMOVE_APK_TOOLS" in yes|no) ;; *) echo "Invalid REMOVE_APK_TOOLS: '${REMOVE_APK_TOOLS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; apk add --no-cache "liberica${JAVA_RELEASE}-crac-${BUNDLE_TYPE}-no-deps"; if [ "$CDS" = "yes" ]; then apk add --no-cache "liberica${JAVA_RELEASE}-crac-jre-cds"; fi; if [ "$REMOVE_APK_TOOLS" = "yes" ]; then apk del --no-cache apk-tools; fi
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.